Subject: Re: bug#73194: ls command converts utf-8 character into escape sequences

From: Thomas Wolff <[email-masked]>
Date: Thu, 12 Sep 2024 12:36:05 +0200

Am 12.09.2024 um 12:16 schrieb Simon Wolfe:
> I have one file name that uses Unicode character U+318DF, which is in
> the tertiary pane, more precisely CJK Unified Ideographs Extension H.
>
> touch 𱣟
> ls
>
> returns:
>
> ''$'\360\261\243\237'
I use a wrapper with my favourite options and a pipe to stop ls from
being witty about the terminal:
ls | cat

>
> Extension H was introduced in Unicode 15.0 in 2022.
>
> I also notice that this bug occurs with any character with Extension I
> (introduced in 2023).
>
> Extension G seems to works okay.